'use client';
export default function Overlay({ sidebarToggle, setSidebarToggle }) {
  if (!sidebarToggle) return null;

  return (
    <div
      onClick={() => setSidebarToggle(false)}
      className={`fixed w-full h-screen z-[9] bg-gray-900/50 ${
        sidebarToggle ? 'block lg:hidden' : 'hidden'
      }`}
    ></div>
  );
}